# -*- coding: utf-8 -*-


# Vendor Library
from django.utils.datastructures import SortedDict


APPLICATION_INDEXES = SortedDict([
    ('1', u'(1)Общее количество детей, поставленных '
          u'на учет в текущем календарном году'),
    ('1.1', u'(1.1)Общее число заявлений, поданных для постановки '
            u'на учет, в разрезе возрастных категорий %s (на текущую дату)'),
    ('2', u'(2)Общее количество заявлений подданых с портала,'
          u' в возрасте %s (на текущую дату)'),
    ('3', u'(3)Общее количество заявлений поданных '
          u'при личном обращении, в возрасте %s (на текущую дату)'),
    ('4', u'(4)Общее количество детей, поставленных на учет '
          u'для получения места в текущем учебном году, '
          u'для детей в возрасте %s (на текущую дату)'),
    ('4.1', u'(4.1)Общее количество детей, поставленных на учет в группы '
            u'для детей с овз для получения места в текущем учебном году '
            u'(компенсирующие группы) детей в возрасте %s (на текущую дату)'),
    ('4.2', u'(4.2)Общее количество детей, поставленных на '
            u'учет в оздоровительные группы в возрасте %s (на текущую дату)'),
    ('5', u'(5)Общее количество детей, поставленных на учет для '
          u'получения места в текущем учебном году в другой ДОО, '
          u'детей в возрасте %s (на текущую дату)'),
    ('6', u'(6)Общее количество заявлений, поданных для постановки '
          u'на учет для зачисления в группы кратковременного '
          u'пребывания детей, для детей в возрасте %s (на текущую дату)'),
])


QUEUE_INDEXES = SortedDict([
    ('7', u'(7)Численность детей, стоящих на учете '
          u'(отложенный спрос) в возрасте %s '
          u'(на 1 сентября текущего календарного года)'),
    ('7.1', u'(7.1)Численность детей, стоящих на учете '
            u'(отложенный спрос) в возрасте %s (на текущую дату)'),
    ('7.2', u'(7.2)Численность детей, желающих получить '
            u'место в текущем учебном году '
            u'(спрос на текущий учебный год), '
            u'в возрасте %s (на текущую дату)'),
    ('7.3', u'(7.3)Численность детей, желающих получить место в следующем '
            u'учебном году (отложенный спрос на следующий учебный год) '
            u'год в возрасте %s (на текущую дату)'),
    ('7.4', u"(7.4)Численность направленных в ДОО детей, желающих "
            u"получить место в текущем учебном году "
            u"(удовлетворенный спрос на текущий учебный год) "
            u"в возрасте %s (на текущую дату)"),
    ('8', u'(8)Общая численность детей в очереди '
          u'(с учетом детей, желающих перейти в другую ДОО) '
          u'в возрасте %s (на текущую дату)'),
    ('9', u'(9)Общая численность детей в очереди, '
          u'имеющих право на внеочередное или первоочередное зачисление '
          u'возрасте %s (на 1 сентября текущего календарного года)'),
    ('9.1', u'(9.1)Общая численность детей в очереди, имеющих '
            u'право на внеочередное или первоочередное зачисление '
            u'возрасте %s (на текущую дату)'),
    ('10', u'(10)Общая численность детей в очереди, имеющих '
           u'право на внеочередное или первоочередное зачисление '
           u'на основании федеральных льгот'),
    ('11', u'(11)Общая численность детей в очереди, имеющих '
           u'право на внеочередное или первоочередное зачисление '
           u'на основании региональных льгот'),
    ('12', u'(12)Общая численность детей с ограниченными возможностями '
           u'здоровья в очереди. в возрасте %s (на текущую дату)'),
    ('12.1', u'(12.1)Численность детей с ограниченными возможностями '
             u'здоровья в очереди (удовлетворенный спрос) '
             u'в возрасте %s (на текущую дату)'),
    ('13', u"(13)Численность детей с ограниченными возможностями "
           u"здоровья в очереди, которые могут обучаться в "
           u"общеразвивающих группах, в возрасте %s (на текущую дату)"),
    ('13.1', u'(13.1)Численность детей с ограниченными возможностями '
             u'здоровья в очереди (частично удовлетворенный спрос) '
             u'в возрасте %s (на текущую дату)'),
    ('14', u"(14)Общая численность детей в очереди, "
           u"нуждающихся в группах оздоровительной направленности, "
           u"в возрасте %s (на текущую дату)"),
    ('15', u'(15)Общая численность детей в очереди, согласных '
           u'получить место в группах по присмотру и уходу '
           u'в возрасте %s (на текущую дату)'),
    ('16', u'(16)Общая численность детей в очереди, желающих получить '
           u'место в группах круглосуточного пребывания детей, '
           u'в возрасте %s (на текущую дату)'),
    ('17', u'(17)Общая численность детей в очереди, желающих получить '
           u'место в группах кратковременного пребывания детей '
           u'в возрасте %s (на текущую дату)'),
    ('17.1', u'(17.1)Общая численность детей в очереди, согласных получить '
             u'место в группах кратковременного пребывания '
             u'детей в возрасте %s (на текущую дату)'),
    ('18', u'(18)Общая численность детей в очереди, '
           u'не обеспеченных местами в ДОО (актуальный спрос) в '
           u'возрасте %s (на 1 сентября текущего календарного года)'),
    ('18.1', u'(18.1)Общая численность детей в очереди, не обеспеченных '
             u'местами в ДОО (актуальный спрос) в '
             u'возрасте %s (на текущую дату)'),
    ('18.2', u'(18.2)Общая численность детей в очереди, '
             u'не обеспеченных местами в ДОО (актуальный спрос), '
             u'в возрасте %s (1 января следующего календарного года)'),
    ('18.3', u'(18.3)Общая численность детей в очереди, обеспеченных '
             u'местами в ДОО (удовлетворенный актуальный спрос), '
             u'в возрасте %s (на текущую дату)')
])


ENROLLED_INDEXES = SortedDict([
    ('19', u'(19)Общая численность детей, зачисленных в ДОО, в возрасте %s '
           u'(на 1 сентября текущего календарного года)'),
    ('19.1', u'(19.1)Общая численность детей, зачисленных в ДОО, '
             u'в возрасте %s (на текущую дату)'),
    ('19.2', u'(19.2)Общая численность детей, зачисленных в ДОО, '
             u'в возрасте %s (1 января следующего календарного года)'),
    ('19.3', u'(19.3)Прогнозируемое увеличение контингента '
             u'воспитанников, в возрасте %s (на текущую дату)'),
    ('20', u'(20)Общая численность детей, желающих перейти в '
           u'данную ДОО, в возрасте %s (на текущую дату)'),
    ('20.1', u'(20.1)Общая численность детей, желающих перейти в '
             u'данную ДОО (удовлетворенный спрос), '
             u'в возрасте %s (на текущую дату)'),
    ('20.2', u'(20.2)Общая численность детей, желающих получить '
             u'место в данную ДОО в группах для детей с ограниченными '
             u'возможностями здоровья, в возрасте %s (на текущую дату)'),
    ('20.3', u'(20.3)Общая численность детей, желающих перейти '
             u'в данную ДОО в текущем учебном году, '
             u'в возрасте %s (на текущую дату)'),
    ('20.4', u'(20.4)Общая численность детей, желающих перейти в '
             u'данную ДОО в более поздние сроки (на текущую дату)'),
    ('21', u'(21)Общая численность детей, получающих дошкольное '
           u'образование в семейных дошкольных группах (на текущую дату)'),
    ('22', u'(22)Общая численность детей, зачисленных в группы для детей '
           u'с ограниченными возможностями здоровья, '
           u'в возрасте %s (на текущую дату)'),
    ('23', u'(23)Общая численность детей, зачисленных в группы '
           u'компенсирующей направленности, в возрасте %s (на текущую дату)'),
    ('24', u'(24)Общая численность детей, зачисленных в группы '
           u'оздоровительной направленности, '
           u'в возрасте %s (на текущую дату)'),
    ('25', u'(25)Общая численность детей, зачисленных в группы по '
           u'присмотру и уходу, в возрасте %s (на текущую дату)'),
    ('26', u'(26)Общая численность детей, посещающих группы '
           u'круглосуточного пребывания детей, '
           u'в возрасте %s (на текущую дату)'),
    ('27', u'(27)Общая численность детей, зачисленных в группы '
           u'кратковременного пребывания детей, '
           u'в возрасте %s (на текущую дату)'),
    ('28', u'(28)Общая численность детей, посещающих ДОО в режиме '
           u'кратковременного пребывания, в возрасте %s (на текущую дату)'),
    ('29', u'(29)Прогнозируемое уменьшение контингента'),
    ('30', u'(30)Потребность в местах ДОО, '
           u'в возрасте %s (на 1 сентября текущего календарного года)'),
    ('30.1', u'(30.1)Потребность в местах ДОО, '
             u'в возрасте %s (на текущую дату)'),
    ('30.2', u'(30.2)Потребность в местах ДОО, '
             u'в возрасте %s (1 января следующего календарного года)')
])


CAPACITIES_INDEXES = SortedDict([
    ('31', u'(31)Количество свободных мест на дату сбора '
           u'отчетности в возрастных группах, в возрасте %s'),
    ('31.1', u'(31.1)Количество свободных мест в группах для детей '
             u'с ограниченными возможностями здоровья в возрасте %s'),
    ('31.2', u'(31.2)Количество свободных мест в группах для детей '
             u'компенсирующей направленности в возрасте %s'),
    ('31.3', u'(31.3)Количество свободных мест в группах для детей '
             u'оздоровительной направленности в возрасте %s'),
    ('31.4', u'(31.4)Количество свободных мест в группах кратковременного '
             u'пребывания в государственных '
             u'образовательных организациях в возрасте %s'),
    ('32', u'(32)Численность детей, получивших направления в ДОО '
           u'и зачисленных в ДОО в текущем календарном году,'
           u'в возрасте %s'),
    ('33', u'(33)Численность детей, выбывших из очереди по иным причинам'
           u'в возрасте %s'),
])
